Bug 1315242 - DB2 9.7 Can't get metadata on specified data set: jbpmProcessInstances
DB2 9.7 Can't get metadata on specified data set: jbpmProcessInstances
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity unspecified
: CR2
: 6.2.2
Assigned To: David Gutierrez
Jan Hrcek
: Regression
Depends On:
Blocks: 1309326
  Show dependency treegraph
 
Reported: 2016-03-07 05:49 EST by Tibor Zimanyi
Modified: 2016-03-23 02:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Server.log (195.86 KB, text/plain)
2016-03-07 05:49 EST, Tibor Zimanyi
no flags Details

  None (edit)
Description Tibor Zimanyi 2016-03-07 05:49:28 EST
Created attachment 1133709 [details]
Server.log

Description of problem:

Using process instance perspective with DB2 9.7 database fails on SqlSyntaxErrorException. This is the same bug as already reported here [1], but this is the first time it occured on 6.2 product. 

[1] https://issues.jboss.org/browse/DASHBUILDE-96

We should decide if we want to backport fix from later versions or if we only document this for 6.2 and leave the fix for later. 

Attaching server.log

Version-Release number of selected component (if applicable): 6.2.2.CR1
Comment 2 Maciej Swiderski 2016-03-07 05:57:00 EST
Neus, could you please take a look at this as you're most likely are more up to date with this part.
Comment 3 Neus Miras 2016-03-07 06:24:32 EST
In the 6.3 version:
The queries over the console have been updated to work fine over all supported databases. 

The dashbuilder have included the fix for this issue in the 0.4.x
https://github.com/dashbuilder/dashbuilder/commit/fb496fec66d871b3d0763344bcb646ee11ddce95 

And the jbpm-console-ng queries have been updated in this PR waiting to be merge
https://github.com/droolsjbpm/jbpm-console-ng/pull/353 at 6.4.x

In the previous version (6.2)
Now, we have to decide if the fix, have to be ported to 6.2. In that sense, David can answer better the question of if dashbuilder can take this fix for previous version of dashbuilder.

In jira it's reported at:
https://issues.jboss.org/browse/JBPM-4943
Comment 4 Neus Miras 2016-03-07 06:29:10 EST
David can you take a look on the possibility to take the LIMIT issue fix to previous version?
Comment 5 David Gutierrez 2016-03-07 07:01:08 EST
Yes, I think the issue can be backported, Although I'd need look to into it thoroughly, to asses the impact. 

@Tibor can you confirm a backport is needed?
Comment 6 Tibor Zimanyi 2016-03-07 07:10:45 EST
After discussion with David - we agreed to backport this so we get rid of all DB2 issues related to this case and I agree with this.
Comment 8 David Gutierrez 2016-03-11 13:33:18 EST
The fix https://issues.jboss.org/browse/DASHBUILDE-96 has been backported to the 6.2 product branch (i.e: dashbuilder 0.3.x):

https://github.com/dashbuilder/dashbuilder/commit/c92bfbdd3a7bdd9fdda9f3b7067ca282789483e6
Comment 9 Jan Hrcek 2016-03-23 02:18:07 EDT
Working fine now. Verified with BPM Suite 6.2.2 CR2

Note You need to log in before you can comment on or make changes to this bug.